Debian Bug report logs - #643576
antlr-doc: Examples have non-commercial clause

version graph

Package: antlr-doc; Maintainer for antlr-doc is Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>; Source for antlr-doc is src:antlr.

Reported by: Sam Geeraerts <samgee@elmundolibre.be>

Date: Tue, 27 Sep 2011 19:18:02 UTC

Severity: serious

Tags: patch, upstream

Found in version 2.7.7-16

Fixed in version antlr/2.7.7+dfsg-1

Done: Torsten Werner <twerner@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#643576; Package antlr-doc. (Tue, 27 Sep 2011 19:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Geeraerts <samgee@elmundolibre.be>:
New Bug report received and forwarded. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Tue, 27 Sep 2011 19:18:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sam Geeraerts <samgee@elmundolibre.be>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: antlr-doc: Examples have non-commercial clause
Date: Tue, 27 Sep 2011 21:14:08 +0200
Package: antlr-doc
Version: 2.7.7-16
Severity: serious
Tags: upstream
Justification: Policy 2.1.6
User: gnewsense-dev@nongnu.org
Usertags: libreplanet gnewsense

In directory examples/java/unicode.IDENTs there are 2 files,
ShowString.java and StreamConverter.java that have this license
statement:

 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. Please refer to the file "copyright.html"
 * for further important copyright and licensing information.

This does not allow commercial use, so this violates DFSG. There
is no file called "copyright.html".

-- System Information:
Debian Release: 6.0.2
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=nl_BE.UTF-8, LC_CTYPE=nl_BE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Reply sent to Torsten Werner <twerner@debian.org>:
You have taken responsibility. (Thu, 29 Sep 2011 21:06:05 GMT) Full text and rfc822 format available.

Notification sent to Sam Geeraerts <samgee@elmundolibre.be>:
Bug acknowledged by developer. (Thu, 29 Sep 2011 21:07:12 GMT) Full text and rfc822 format available.

Message #10 received at 643576-close@bugs.debian.org (full text, mbox):

From: Torsten Werner <twerner@debian.org>
To: 643576-close@bugs.debian.org
Subject: Bug#643576: fixed in antlr 2.7.7+dfsg-1
Date: Thu, 29 Sep 2011 21:02:23 +0000
Source: antlr
Source-Version: 2.7.7+dfsg-1

We believe that the bug you reported is fixed in the latest version of
antlr, which is due to be installed in the Debian FTP archive:

antlr-doc_2.7.7+dfsg-1_all.deb
  to main/a/antlr/antlr-doc_2.7.7+dfsg-1_all.deb
antlr_2.7.7+dfsg-1.debian.tar.gz
  to main/a/antlr/antlr_2.7.7+dfsg-1.debian.tar.gz
antlr_2.7.7+dfsg-1.dsc
  to main/a/antlr/antlr_2.7.7+dfsg-1.dsc
antlr_2.7.7+dfsg-1_all.deb
  to main/a/antlr/antlr_2.7.7+dfsg-1_all.deb
antlr_2.7.7+dfsg.orig.tar.gz
  to main/a/antlr/antlr_2.7.7+dfsg.orig.tar.gz
libantlr-dev_2.7.7+dfsg-1_amd64.deb
  to main/a/antlr/libantlr-dev_2.7.7+dfsg-1_amd64.deb
libantlr-java_2.7.7+dfsg-1_all.deb
  to main/a/antlr/libantlr-java_2.7.7+dfsg-1_all.deb
libantlr2.7-cil_2.7.7+dfsg-1_all.deb
  to main/a/antlr/libantlr2.7-cil_2.7.7+dfsg-1_all.deb
python-antlr_2.7.7+dfsg-1_all.deb
  to main/a/antlr/python-antlr_2.7.7+dfsg-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 643576@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Torsten Werner <twerner@debian.org> (supplier of updated antlr package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 29 Sep 2011 22:29:52 +0200
Source: antlr
Binary: antlr libantlr-java libantlr-dev libantlr2.7-cil antlr-doc python-antlr
Architecture: source all amd64
Version: 2.7.7+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Torsten Werner <twerner@debian.org>
Description: 
 antlr      - language tool for constructing recognizers, compilers etc
 antlr-doc  - language tool for constructing recognizers, compilers etc
 libantlr-dev - language tool for constructing recognizers, compilers etc
 libantlr-java - language tool for constructing recognizers, compilers etc (java l
 libantlr2.7-cil - language tool for constructing recognizers, compilers etc
 python-antlr - language tool for constructing recognizers, compilers etc
Closes: 643576
Changes: 
 antlr (2.7.7+dfsg-1) unstable; urgency=low
 .
   * Remove 2 non-free files from orig tarball. Thanks to Sam Geeraerts.
     (Closes: #643576)
   * Do no longer build packages cantlr and libantlr-java-gcj.
Checksums-Sha1: 
 a0115831a910315ec112b5b97abf22a68983a890 1739 antlr_2.7.7+dfsg-1.dsc
 49b498acf18bf5138f52d87efb11be15083bbf17 1822765 antlr_2.7.7+dfsg.orig.tar.gz
 1d8bbb38941c201fa3d86da5d5039208540064c0 14810 antlr_2.7.7+dfsg-1.debian.tar.gz
 d41afa36d86a9ee64645cd7789afbc38fc3bac31 50854 libantlr2.7-cil_2.7.7+dfsg-1_all.deb
 8816d37f9894843113957ea9c98f68f5d7f45f2e 901252 antlr-doc_2.7.7+dfsg-1_all.deb
 90ee3e79ecc3ea58bd3a3e6d1cbc57b0fc79c75f 12404 antlr_2.7.7+dfsg-1_all.deb
 b5531ec7517d309577c94e884de62adf32932d57 434570 libantlr-java_2.7.7+dfsg-1_all.deb
 3c21ae7bc99ce1afb75a5d0ee26ab9f87dadbad8 27200 python-antlr_2.7.7+dfsg-1_all.deb
 713e1ee3fc4f36c4bd881c10e952e222d126ac79 352664 libantlr-dev_2.7.7+dfsg-1_amd64.deb
Checksums-Sha256: 
 17c49c6a63b2dec1a1574d9c39d1c7882c7bf573c537f72bc1d99adf57e57818 1739 antlr_2.7.7+dfsg-1.dsc
 1a01f8080da10a93b3f3b78c70cc87893474111bd2d4e0fdb2cca2016b1a3771 1822765 antlr_2.7.7+dfsg.orig.tar.gz
 678eb1e677fd94d81ac0f13abc0f5c877385285c4d024a8997fa33520761f9bf 14810 antlr_2.7.7+dfsg-1.debian.tar.gz
 e2bad73109a6fc798ca58322eb3492fcbfb67900827d96883b328bdaa65d1af8 50854 libantlr2.7-cil_2.7.7+dfsg-1_all.deb
 646819778fb26ce1858073ca32e9a3a7a770241caed089119884929c0b4933f8 901252 antlr-doc_2.7.7+dfsg-1_all.deb
 ac5a35f711af15a3e1cf56adaffd645fc00934c27dd1e188b12777de5325954a 12404 antlr_2.7.7+dfsg-1_all.deb
 a987758c7180a67131108d878581b10fecd7fb0bddfbd30ea90e430b2aed8a02 434570 libantlr-java_2.7.7+dfsg-1_all.deb
 741b26d16a50de0823f9b84965d7e6b297a61f5b283600b43009fc610c92620e 27200 python-antlr_2.7.7+dfsg-1_all.deb
 f61f9cf61ef9af0b1c26b9a9f59c77b04f7c98f3613c7f7ffe2d529ce3196625 352664 libantlr-dev_2.7.7+dfsg-1_amd64.deb
Files: 
 fa3bc84986db642f20fe98c409a75c2f 1739 java optional antlr_2.7.7+dfsg-1.dsc
 408f47c5dbafbb9b778018a29826d4e8 1822765 java optional antlr_2.7.7+dfsg.orig.tar.gz
 f5a9672eab53fd8efafca11643c53dd8 14810 java optional antlr_2.7.7+dfsg-1.debian.tar.gz
 c44cf478a80ab8715712a53670c8da16 50854 cli-mono optional libantlr2.7-cil_2.7.7+dfsg-1_all.deb
 4d4e048be1e1d4910b1ab61d6e4eedee 901252 doc optional antlr-doc_2.7.7+dfsg-1_all.deb
 6bb36c24a8eb4afecc9537cc49fdc163 12404 java optional antlr_2.7.7+dfsg-1_all.deb
 94f3e397e2a60ece59961b8f8e6073ea 434570 java optional libantlr-java_2.7.7+dfsg-1_all.deb
 afb2f58b31218f4725f4fdcba4a192ac 27200 python optional python-antlr_2.7.7+dfsg-1_all.deb
 6f266cb56d439877f882f9a524b58a94 352664 libdevel optional libantlr-dev_2.7.7+dfsg-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk6E11gACgkQfY3dicTPjsOPhQCgmfkL5aQkUdVSPUxiji507X8a
c6kAn2H1Nr0CoueZKP2iXea8ScGpoYvU
=vXt7
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#643576; Package antlr-doc. (Thu, 10 Nov 2011 09:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Thu, 10 Nov 2011 09:36:08 GMT) Full text and rfc822 format available.

Message #15 received at 643576@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 643576@bugs.debian.org
Subject: Re: antlr-doc: Examples have non-commercial clause
Date: Thu, 10 Nov 2011 03:33:45 -0600
tags 643576 + patch
quit

Hi,

Torsten Werner wrote:

>  antlr (2.7.7+dfsg-1) unstable; urgency=low
>  .
>    * Remove 2 non-free files from orig tarball. Thanks to Sam Geeraerts.
>      (Closes: #643576)

I've put packages for squeeze and lenny that just re-use this repacked
tarball at 

 http://alioth.debian.org/~jrnieder-guest/temp/antlr_2.7.7+dfsg-0squeeze0.1.dsc
 http://alioth.debian.org/~jrnieder-guest/temp/antlr_2.7.7+dfsg-0lenny0.1.dsc

Maybe they can save some time.

Regards,
Jonathan




Added tag(s) patch. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 10 Nov 2011 09:36:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#643576; Package antlr-doc. (Sun, 04 Mar 2012 16:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Geeraerts <samgee@elmundolibre.be>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sun, 04 Mar 2012 16:00:03 GMT) Full text and rfc822 format available.

Message #22 received at 643576@bugs.debian.org (full text, mbox):

From: Sam Geeraerts <samgee@elmundolibre.be>
To: 643576@bugs.debian.org
Subject: Re: Bug#643576 closed by Torsten Werner <twerner@debian.org> (Bug#643576: fixed in antlr 2.7.7+dfsg-1)
Date: Sun, 04 Mar 2012 16:58:16 +0100
It looks like this was fixed for Wheezy, but not for Squeeze. Will the 
stable release also get a fix?

Thanks,
Sam Geeraerts




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#643576; Package antlr-doc. (Thu, 16 Aug 2012 20:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mikołaj Izdebski <zurgunt@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Thu, 16 Aug 2012 20:15:03 GMT) Full text and rfc822 format available.

Message #27 received at 643576@bugs.debian.org (full text, mbox):

From: Mikołaj Izdebski <zurgunt@gmail.com>
To: 643576@bugs.debian.org
Subject: Re: antlr-doc: Examples have non-commercial clause
Date: Thu, 16 Aug 2012 22:12:42 +0200
The 2 files in question are DFSG-free. The copyright holder
(Oracle) relicensed them under a free software license. See:

http://docs.oracle.com/javase/tutorial/i18n/text/examples/ShowString.java
http://docs.oracle.com/javase/tutorial/i18n/text/examples/StreamConverter.java

See also: https://bugzilla.redhat.com/show_bug.cgi?id=848662



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 02 Jun 2013 08:17:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 16:23:58 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.